Bug 1271529 - Missing dependencies
Missing dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:29 EDT by Ralf Corsepius
Modified: 2015-11-03 00:52 EST (History)
2 users (show)

See Also:
Fixed In Version: dnf-plugin-system-upgrade-0.7.0-1.fc23 dnf-plugin-system-upgrade-0.7.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 13:52:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-10-14 04:29:42 EDT
Description of problem:

The dnf-plugin-system-upgrade package lacks deps on dnf and gettext.

Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.4.1-1.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1. mock -r fedora-22-x86_64 --init
2. mock -r fedora-22-x86_64 --install dnf-plugin-system-upgrade
3. mock -r fedora-22-x86_64 --shell

4. Inside of the chroot, 

- try to use dnf system-upgrade
# dnf system-upgrade --releasever f23 download
sh: dnf: command not found

- try to run fedup:
# fedup
/usr/bin/fedup: line 45: gettext: command not found
/usr/bin/fedup: line 51: gettext: command not found
/usr/bin/fedup: line 141: gettext: command not found
/usr/bin/fedup: line 143: exec: dnf: not found
Comment 1 Will Woods 2015-10-20 10:01:21 EDT
(In reply to Ralf Corsepius from comment #0)
> Description of problem:
> 
> The dnf-plugin-system-upgrade package lacks deps on dnf and gettext.
> 
> Version-Release number of selected component (if applicable):
> dnf-plugin-system-upgrade-0.4.1-1.fc22.noarch
> 
> How reproducible:
> Always.
> 
> Steps to Reproduce:
> 1. mock -r fedora-22-x86_64 --init
> 2. mock -r fedora-22-x86_64 --install dnf-plugin-system-upgrade
> 3. mock -r fedora-22-x86_64 --shell
> 
> 4. Inside of the chroot, 
> 
> - try to use dnf system-upgrade
> # dnf system-upgrade --releasever f23 download
> sh: dnf: command not found

Technically, the plugin itself doesn't actually require /usr/bin/dnf or the dnf package to operate. Plugins *do* require (and are used by) the python-dnf library, but it's technically valid for a DNF plugin to be installed without pulling in the DNF CLI.

> - try to run fedup:
> # fedup
> /usr/bin/fedup: line 45: gettext: command not found
> /usr/bin/fedup: line 51: gettext: command not found
> /usr/bin/fedup: line 141: gettext: command not found

/usr/bin/fedup has been rewritten and no longer requires gettext:

  https://github.com/rpm-software-management/dnf-plugin-system-upgrade/commit/bbcee81

> /usr/bin/fedup: line 143: exec: dnf: not found

If we wanted to be *super* precise about this, we could provide a separate "fedup" subpackage, which provides /usr/bin/fedup and Requires: dnf.

But... that seems unnecessary. I think I'll just add "Requires: dnf" to the plugin and be done with it.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-20 18:54:19 EDT
(In reply to Will Woods from comment #1)
> But... that seems unnecessary. I think I'll just add "Requires: dnf" to the
> plugin and be done with it.
Yeah, the plugin is only useful when called from the commandline, so there's no reason not to require dnf.
Comment 3 Fedora Update System 2015-10-28 12:05:24 EDT
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f
Comment 4 Fedora Update System 2015-11-01 01:58:43 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-69bef6b9ed
Comment 5 Fedora Update System 2015-11-01 19:27:14 EST
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f
Comment 6 Fedora Update System 2015-11-02 13:52:01 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-03 00:51:37 EST
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.